=== debian/changelog ===
srt (1.4.4-4) UNRELEASED; urgency=medium

  * update

 -- Florian Ernst <florian@debian.org>  Thu, 16 Jun 2022 14:32:53 +0800

srt (1.4.4-4) unstable; urgency=medium

  * [00e65b3] restrict upstream unit testing to certain architectures

 -- Florian Ernst <florian@debian.org>  Sun, 13 Mar 2022 11:28:01 +0100

srt (1.4.4-3) unstable; urgency=medium

  * [759b832] enable upstream unit tests again, using libgtest-dev
  * [a0096b4] debian/tests/: add simple autopkgtest tests
  * [da46ba2] debian/rules: complete separation between -arch and -indep calls
  * [413e1de] debian/rules: drop trailing whitespace

 -- Florian Ernst <florian@debian.org>  Sat, 12 Mar 2022 15:30:35 +0100

srt (1.4.4-2) unstable; urgency=medium

  * [75ad4d7] don't require B-D-I python3-sphinx during clean
  * [604e728] debian/control: mark libsrt-doc 'Multi-Arch: foreign'

 -- Florian Ernst <florian@debian.org>  Thu, 03 Mar 2022 22:07:57 +0100

srt (1.4.4-1) unstable; urgency=medium

  * [2813e0b] New upstream version 1.4.3
  * [583b131] New upstream version 1.4.4 (Closes: LP#1957746)
  * [e005fb4] debian/patches/: drop 1741.patch and gcc-11.patch, both now
    upstream; refresh remaining patches
  * [836713c] debian/copyright: completely cover the new upstream release
  * [1ed3278] debian/{libsrt-doc.doc-base,conf.py}: follow upstream's doc
    reorg
  * [6215261] debian/control: provide individual Description per package
  * [6aee7c9] debian/libsrt-doc.examples: install upstream examples as well
  * [a412bcf] debian/patches/typo.patch: fix a typo present in various
    binaries
  * [2484989] debian/patches/: forward remaining patches upstream where needed
  * [f1b3b04] debian/rules: build with sphinxdoc, adding libjs-sphinxdoc to
    docs package
  * [0c3db08] add lintian-overrides for package-name-doesnt-match-sonames as
    the package name also reflects the library used to enable encryption
  * [87e7896] add lintian-overrides for no-symbols-control-file.
    C++ library with over 1000 exported symbols, so let's stick with shlibs
  * [fd1c8ab] debian/control: add 'Suggests: ffmpeg' to 'Package: srt-tools'
    due to usr/bin/srt-ffplay
  * [31d7d79] pkgconfig files are installed separately, so exclude them from
    *.install
  * [36e1ffe] debian/{clean,rules,srt-tools.install}: drop stransmit extra
    binary; no need to copy (and not even symlink) a binary that nothing uses
  * [2ca1fc8] debian/control: drop unused B-D chrpath and tclsh
  * [9181f3b] provide remaining manpages (albeit minimal) and clean up
    help2man calls
  * [ca08c12] debian/control: Standards-Version: 4.6.0.1 (no further changes
    required)
  * [c93b8a3] debian/rules: cleanup, much relying on dh's defaults for the
    right thing

 -- Florian Ernst <florian@debian.org>  Wed, 02 Mar 2022 21:33:49 +0100
