=== debian/changelog ===
srt (1.5.0-2) unstable; urgency=medium

  * Uploading to unstable to start the transition (cf. #1013670)
  * [4d90375] *-dev: Suggest libsrt-doc (= ${source:Version}) as it won't be
    binNMU'd
  * [b3fc582] disable tests that are prone to fail with noisy neighbours
  * [dcc7160] autopkgtest: skip flaky build-cpp execution step
  * [0b0250c] Standards-Version: 4.6.1.0 (no further changes required)

 -- Florian Ernst <florian@debian.org>  Sat, 02 Jul 2022 11:41:50 +0200

srt (1.5.0-1) experimental; urgency=medium

  * [bba9615] document where test suite failure reports have been filed
  * [64de987] New upstream version 1.5.0
  * [c8c35b3] drop patches applied upstream and refresh remaining
  * [af20837] debian/rules: show project configuration during build
  * [5ad9184] upstream changed the soname from 1.4 to 1.5, so adjust packaging
    accordingly; thus now upload to experimental

 -- Florian Ernst <florian@debian.org>  Fri, 17 Jun 2022 14:25:10 +0200
