=== debian/changelog ===
srt (1.5.1-1+deb12u1) bookworm; urgency=medium

  * [1e9db13] d/control: correct hard dependencies for dev packages.
    Thanks to Laurent Bigonville <bigon@debian.org> (Closes: #1086751)

 -- Florian Ernst <florian@debian.org>  Fri, 08 Nov 2024 15:09:06 +0100

srt (1.5.1-1) unstable; urgency=medium

  * [cd32285] New upstream version 1.5.1
  * [73df5e2] debian/patches/*.patch: refresh, dropping now-obsolete
    include(GNUInstallDirs)
  * [952b715] debian/*.lintian-overrides: match other archs and newer versions
    as well

 -- Florian Ernst <florian@debian.org>  Wed, 28 Sep 2022 16:46:38 +0200
