=== debian/control ===
--- 
+++ 
@@ -9,14 +9,14 @@
  libssl-dev,
  pkg-config,
 Build-Depends-Indep: python3-sphinx
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1.0
 Section: libs
 Homepage: https://github.com/Haivision/srt
 Vcs-Browser: https://salsa.debian.org/debian/libsrt
 Vcs-Git: https://salsa.debian.org/debian/libsrt.git
 Rules-Requires-Root: no
 
-Package: libsrt1.4-openssl
+Package: libsrt1.5-openssl
 Architecture: any
 Breaks: libsrt1 (<< 1.4.1-3), libsrt1-openssl
 Replaces: libsrt1 (<< 1.4.1-3), libsrt1-openssl
@@ -29,7 +29,7 @@
  .
  SSL support is provided by OpenSSL.
 
-Package: libsrt1.4-gnutls
+Package: libsrt1.5-gnutls
 Architecture: any
 Breaks: libsrt1-gnutls
 Replaces: libsrt1-gnutls
@@ -49,14 +49,16 @@
 Architecture: any
 Multi-Arch: same
 Conflicts: libsrt-gnutls-dev, libsrt-dev
-Depends: libsrt1.4-openssl (= ${binary:Version}), ${misc:Depends}
-Suggests: libsrt-doc (= ${binary:Version}), libssl-dev (>= 1.1)
+Depends: libsrt1.5-openssl (= ${binary:Version}),
+         libssl-dev (>= 1.1),
+         ${misc:Depends},
+Suggests: libsrt-doc (= ${source:Version}),
 Description: Secure Reliable Transport UDP streaming library (OpenSSL flavour development)
  SRT is a latency-aware UDP transport mechanism optimized for video streams.
  It detects and compensates for jitter and bandwidth fluctuations due to
  network congestion. It mitigates packet loss and supports AES encryption.
  .
- This package contains development files for libsrt1.4
+ This package contains development files for libsrt1.5
  SSL support is provided by OpenSSL.
 
 Package: libsrt-gnutls-dev
@@ -66,14 +68,17 @@
 Architecture: any
 Multi-Arch: same
 Conflicts: libsrt-openssl-dev, libsrt-dev
-Depends: libsrt1.4-gnutls (= ${binary:Version}), ${misc:Depends}
-Suggests: libsrt-doc (= ${binary:Version}), libgnutls28-dev
+Depends: libgnutls28-dev,
+         libsrt1.5-gnutls (= ${binary:Version}),
+         nettle-dev,
+         ${misc:Depends},
+Suggests: libsrt-doc (= ${source:Version}),
 Description: Secure Reliable Transport UDP streaming library (GnuTLS flavour development)
  SRT is a latency-aware UDP transport mechanism optimized for video streams.
  It detects and compensates for jitter and bandwidth fluctuations due to
  network congestion. It mitigates packet loss and supports AES encryption.
  .
- This package contains development files for libsrt1.4-gnutls
+ This package contains development files for libsrt1.5-gnutls
  SSL support is provided by GnuTLS.
 
 Package: libsrt-doc
@@ -86,13 +91,13 @@
  It detects and compensates for jitter and bandwidth fluctuations due to
  network congestion. It mitigates packet loss and supports AES encryption.
  .
- This package contains documentation files for libsrt1.4
+ This package contains documentation files for libsrt1.5
 
 Package: srt-tools
 Architecture: any
 Section: utils
 Multi-Arch: foreign
-Depends: libsrt1.4-gnutls (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libsrt1.5-gnutls (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Suggests: ffmpeg
 Description: Secure Reliable Transport UDP streaming library (CLI tools)
  SRT is a latency-aware UDP transport mechanism optimized for video streams.
