=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,11 @@
 # Standardized flags from /usr/share/perl5/Debian/Debhelper/Buildsystem/cmake.pm.
 CMAKE_OPTS := -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=None -DCMAKE_INSTALL_SYSCONFDIR=/etc -DCMAKE_INSTALL_LOCALSTATEDIR=/var -DCMAKE_EXPORT_NO_PACKAGE_REGISTRY=ON -DCMAKE_FIND_PACKAGE_NO_PACKAGE_REGISTRY=ON
 # Enable some features that are disabled by default
-EXTRA_OPTS := -DENABLE_UNITTESTS=ON # requires libgtest-dev
+EXTRA_OPTS := -DENABLE_SHOW_PROJECT_CONFIG=ON -DENABLE_UNITTESTS=ON # unit tests require libgtest-dev
 # -DENABLE_EXAMPLES=ON -> Example Apps -> will be installed in source form and handled via autopkgtests
 # -DENABLE_TESTING=ON  -> DEVEL APPS (testing), some with rather generic names -> no need to install
 # Restrict upstream unit testing to architectures upstream focuses on (and some where the tests succeed nonetheless)
+# test suite failures reported at https://github.com/Haivision/srt/issues/2267
 test_archs = amd64 i386 arm64 armel armhf mips64el mipsel riscv64 x32
 
 include /usr/share/dpkg/default.mk  # provides DEB_VERSION
