## srt 1.5.2

=== debian/changelog ===
srt (1.5.2-1) unstable; urgency=medium

  * [c327281] New upstream version 1.5.2
  * [13d11c8] debian/copyright: update year and drop reference to delete files
  * [ac92db8] debian/patches/*: refresh
  * [26171e9] debian/rules: drop obsolete "DEB_LDFLAGS_MAINT_APPEND =
    -Wl,--as-needed"
  * [94704d3] debian/control: drop obsolete Breaks/Replaces
  * [18ae0d2] debian/control: Standards-Version: 4.6.2 (no further changes
    required)

 -- Florian Ernst <florian@debian.org>  Sat, 01 Jul 2023 14:39:31 +0200
