=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libssl-dev,
  pkg-config,
 Build-Depends-Indep: python3-sphinx
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Section: libs
 Homepage: https://github.com/Haivision/srt
 Vcs-Browser: https://salsa.debian.org/debian/libsrt
@@ -18,8 +18,6 @@
 
 Package: libsrt1.5-openssl
 Architecture: any
-Breaks: libsrt1 (<< 1.4.1-3), libsrt1-openssl
-Replaces: libsrt1 (<< 1.4.1-3), libsrt1-openssl
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Secure Reliable Transport UDP streaming library (OpenSSL flavour)
@@ -31,8 +29,6 @@
 
 Package: libsrt1.5-gnutls
 Architecture: any
-Breaks: libsrt1-gnutls
-Replaces: libsrt1-gnutls
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Secure Reliable Transport UDP streaming library (GnuTLS flavour)
@@ -44,15 +40,11 @@
 
 Package: libsrt-openssl-dev
 Section: libdevel
-Breaks: libsrt-dev (<< 1.4.1-2)
-Replaces: libsrt-dev (<< 1.4.1-2)
 Architecture: any
 Multi-Arch: same
 Conflicts: libsrt-gnutls-dev, libsrt-dev
-Depends: libsrt1.5-openssl (= ${binary:Version}),
-         libssl-dev (>= 1.1),
-         ${misc:Depends},
-Suggests: libsrt-doc (= ${source:Version}),
+Depends: libsrt1.5-openssl (= ${binary:Version}), ${misc:Depends}
+Suggests: libsrt-doc (= ${source:Version}), libssl-dev (>= 1.1)
 Description: Secure Reliable Transport UDP streaming library (OpenSSL flavour development)
  SRT is a latency-aware UDP transport mechanism optimized for video streams.
  It detects and compensates for jitter and bandwidth fluctuations due to
@@ -63,16 +55,11 @@
 
 Package: libsrt-gnutls-dev
 Section: libdevel
-Breaks: libsrt-dev (<< 1.4.1-2)
-Replaces: libsrt-dev (<< 1.4.1-2)
 Architecture: any
 Multi-Arch: same
 Conflicts: libsrt-openssl-dev, libsrt-dev
-Depends: libgnutls28-dev,
-         libsrt1.5-gnutls (= ${binary:Version}),
-         nettle-dev,
-         ${misc:Depends},
-Suggests: libsrt-doc (= ${source:Version}),
+Depends: libsrt1.5-gnutls (= ${binary:Version}), ${misc:Depends}
+Suggests: libsrt-doc (= ${source:Version}), libgnutls28-dev
 Description: Secure Reliable Transport UDP streaming library (GnuTLS flavour development)
  SRT is a latency-aware UDP transport mechanism optimized for video streams.
  It detects and compensates for jitter and bandwidth fluctuations due to
