=== debian/changelog ===
srt (1.5.3-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:24:57 +0000

srt (1.5.3-1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:26:26 +0000

srt (1.5.3-1) unstable; urgency=medium

  * [bbcc570] New upstream version 1.5.3
  * [636e97a] debian/patches/001-multiarch-rpath.patch: refresh

 -- Florian Ernst <florian@debian.org>  Sat, 16 Sep 2023 12:43:23 +0200
