=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: srt
 Priority: optional
-Maintainer: Florian Ernst <florian@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Florian Ernst <florian@debian.org>
 Build-Depends: debhelper-compat (= 13),
  cmake,
  help2man,
